Loading...
Searching...
No Matches
Magick::DrawableFillPatternUrl Class Reference
Inheritance diagram for Magick::DrawableFillPatternUrl:

## Public Member Functions

| DrawableFillPatternUrl (const std::string &url_)
| DrawableFillPatternUrl (const DrawableFillPatternUrl &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | url (const std::string &url_)
std::string | url (void) const
DrawableBase * | copy () const

## Private Attributes

std::string | _url

## Detailed Description

Definition at line 968 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableFillPatternUrl() [1/2]

Magick::DrawableFillPatternUrl::DrawableFillPatternUrl | ( | const std::string & | url_ | ) |

Definition at line 712 of file Drawable.cpp.

: _url(url_)
{
}

## ~DrawableFillPatternUrl()

Magick::DrawableFillPatternUrl::~DrawableFillPatternUrl | ( | void |  | ) |

Definition at line 724 of file Drawable.cpp.

{
}

## DrawableFillPatternUrl() [2/2]

Magick::DrawableFillPatternUrl::DrawableFillPatternUrl | ( | const DrawableFillPatternUrl & | original_ | ) |

Definition at line 717 of file Drawable.cpp.

: DrawableBase(original_),
_url(original_._url)
{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableFillPatternUrl::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 744 of file Drawable.cpp.

{
return(new DrawableFillPatternUrl(*this));
}

## operator()()

void Magick::DrawableFillPatternUrl::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 728 of file Drawable.cpp.

{
DrawSetFillPatternURL(context_, _url.c_str());
}

## url() [1/2]

void Magick::DrawableFillPatternUrl::url | ( | const std::string & | url_ | ) |

Definition at line 734 of file Drawable.cpp.

{
_url = url_;
}

## url() [2/2]

std::string Magick::DrawableFillPatternUrl::url | ( | void |  | ) | const

Definition at line 739 of file Drawable.cpp.

{
return(_url);
}

## Field Documentation

## _url

std::string Magick::DrawableFillPatternUrl::_url

private

Definition at line 988 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp